Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.server.oauth.core
Class OAuthConfiguration

    java.lang.Object
      org.eclipse.lyo.server.oauth.core.OAuthConfiguration

    public class OAuthConfiguration

extends Object

Manages the OAuth provider configuration, including the validator, consumer store, and token strategy.

Author:
  Samuel Padgett

Method Summary
`Application` | `getApplication()`
`ConsumerStore` | `getConsumerStore()` Gets the store used for managing consumers.
`static OAuthConfiguration` | `getInstance()`
`TokenStrategy` | `getTokenStrategy()` Gets the strategy used to generate and verify OAuth tokens.
`net.oauth.OAuthValidator` | `getValidator()` Gets the OAuth validator for validating request signatures.
`boolean` | `isV1_0Allowed()` Is OAuth version 1.0 allowed, or do we require 1.0a?
`void` | `setApplication(Application application)`
`void` | `setConsumerStore(ConsumerStore consumerStore)` Sets the store used for managing consumers.
`void` | `setTokenStrategy(TokenStrategy tokenStrategy)` Sets the strategy used to generate and verify OAuth tokens.
`void` | `setV1_0Allowed(boolean allowed)` Sets if we allow OAuth 1.0.
`void` | `setValidator(net.oauth.OAuthValidator validator)` Sets the OAuth validator for validating request signatures.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static OAuthConfiguration getInstance()

### getValidator

    public net.oauth.OAuthValidator getValidator()

  Gets the OAuth validator for validating request signatures.

  Returns:
    the validator

### setValidator

    public void setValidator(net.oauth.OAuthValidator validator)

  Sets the OAuth validator for validating request signatures.

  Parameters:
    `validator` - the validator

### getTokenStrategy

    public TokenStrategy getTokenStrategy()

  Gets the strategy used to generate and verify OAuth tokens.

  Returns:
    the token strategy

### setTokenStrategy

    public void setTokenStrategy(TokenStrategy tokenStrategy)

  Sets the strategy used to generate and verify OAuth tokens.

  Parameters:
    `tokenStrategy` - the strategy

### getConsumerStore

    public ConsumerStore getConsumerStore()

  Gets the store used for managing consumers.

  Returns:
    the consumer store

### setConsumerStore

    public void setConsumerStore(ConsumerStore consumerStore)
                          throws ConsumerStoreException

  Sets the store used for managing consumers.

  Parameters:
    `consumerStore` - the consumer store
  Throws:
    `ConsumerStoreException` - on errors initializing the consumer registry

### getApplication

    public Application getApplication()
                               throws net.oauth.OAuthProblemException

  Throws:
    `net.oauth.OAuthProblemException`

### setApplication

    public void setApplication(Application application)

### isV1_0Allowed

    public boolean isV1_0Allowed()

  Is OAuth version 1.0 allowed, or do we require 1.0a?

  Returns:
    true if version 1.0 is allowed
  See Also:
    OAuth Security Advisory: 2009.1

### setV1_0Allowed

    public void setV1_0Allowed(boolean allowed)

  Sets if we allow OAuth 1.0.

  Parameters:
    `allowed` - true to allow OAuth version 1.0 requests or false to require OAuth version 1.0a
  See Also:
    OAuth Security Advisory: 2009.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.